Bug 21921 - Add publication year to the Z39.50 search form for bibliographic records
Summary: Add publication year to the Z39.50 search form for bibliographic records
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-30 08:52 UTC by Michal Denar
Modified: 2020-05-16 18:25 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
It's now possible to search for publication year in the Z39.50 search form in the cataloguing editor and when ordering form external sources in acquisition.


Attachments
Bug 21921: Add date publication year to biblio Z39.50 search form (3.35 KB, patch)
2018-11-30 09:29 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21921: Add date publication year to biblio Z39.50 search form (3.36 KB, patch)
2018-11-30 09:30 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21921: Add date publication year to biblio Z39.50 search form (3.41 KB, patch)
2018-11-30 09:39 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21921: Add date publication year to biblio Z39.50 search form (4.86 KB, patch)
2020-02-11 19:10 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21921: Add date publication year to biblio Z39.50 search form in acquisition (4.50 KB, patch)
2020-02-11 19:10 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21921: Add date publication year to biblio Z39.50 search form (4.90 KB, patch)
2020-02-11 20:11 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21921: Add date publication year to biblio Z39.50 search form in acquisition (4.55 KB, patch)
2020-02-11 20:12 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21921: Add date publication year to biblio Z39.50 search form (4.96 KB, patch)
2020-02-14 19:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21921: Add date publication year to biblio Z39.50 search form in acquisition (4.60 KB, patch)
2020-02-14 19:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Denar 2018-11-30 08:52:52 UTC

    
Comment 1 Josef Moravec 2018-11-30 09:29:16 UTC
Created attachment 82769 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year"
Comment 2 Josef Moravec 2018-11-30 09:30:54 UTC
Created attachment 82770 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year"
Comment 3 Michal Denar 2018-11-30 09:39:48 UTC
Created attachment 82771 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year"

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 4 Katrin Fischer 2019-01-13 21:00:26 UTC
This works well, but can you please add it to the search form in acq too? While the sequence is different (bug 22122), we currently offer the same search options there and I think it would be better to not have the forms drift apart.
Comment 5 Laura Horgan 2020-02-11 17:34:43 UTC
I would be really interested in getting this to work.  In many cases we have multiple editions of a specific textbook and being able to add a date would be helpful. In previous opensource systems we have used (Evergreen) for me this was possible.  Sometimes it is possible to add the information to the keyword field but it does not work consistently.
Comment 6 Josef Moravec 2020-02-11 19:10:27 UTC
Created attachment 98723 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year"

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 7 Josef Moravec 2020-02-11 19:10:32 UTC
Created attachment 98724 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form in acquisition

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year" in acquisition module
Comment 8 Josef Moravec 2020-02-11 19:12:08 UTC
(In reply to Katrin Fischer from comment #4)
> This works well, but can you please add it to the search form in acq too?
> While the sequence is different (bug 22122), we currently offer the same
> search options there and I think it would be better to not have the forms
> drift apart.

Does make sense, I've added one more patch.
Comment 9 Michal Denar 2020-02-11 20:11:59 UTC
Created attachment 98726 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year"

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 10 Michal Denar 2020-02-11 20:12:04 UTC
Created attachment 98727 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form in acquisition

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year" in acquisition module

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 11 Katrin Fischer 2020-02-14 19:27:42 UTC
Created attachment 99019 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year"

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2020-02-14 19:27:45 UTC
Created attachment 99020 [details] [review]
Bug 21921: Add date publication year to biblio Z39.50 search form in acquisition

Test plan:

1) Apply the patch
2) Have a Z39.50 endpoint with attr 31 defined - Library of Congress
supports this
3) Try to find some biblio records through Z39.50 using the new field
"Publication year" in acquisition module

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Martin Renvoize 2020-02-17 13:45:58 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Martin Renvoize 2020-02-17 13:48:40 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 15 Joy Nelson 2020-03-05 01:39:47 UTC
enhancement not pushed to 19.11.x